#
# spec file for package python-sleekxmpp
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define _name   sleekxmpp
Name:           python-sleekxmpp
Version:        1.3.3
Release:        lp150.1.4
Summary:        Python XMPP (Jabber) Library that Implements Everything as a Plugin
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/fritzy/SleekXMPP
Source:         https://files.pythonhosted.org/packages/source/s/%{_name}/%{_name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE sleekxmpp-fix-dnspython.patch sor.alexei@meowr.ru -- Fix compatibility with recent dnspython.
Patch0:         %{_name}-fix-dnspython.patch
# PATCH-FIX-OPENSUSE sleekxmpp-fix-legacyauth.patch nyov@nexnode.net -- Fix an error in legacyauth support.
Patch1:         %{_name}-fix-legacyauth.patch
# PATCH-FIX-OPENSUSE sleekxmpp-check-roster-push-origin.patch bsc#1014976 mathieui@mathieui.net -- Check origin of roster pushes (slixmpp commits ffdb6ff, ffd9436).
Patch2:         %{_name}-check-roster-push-origin.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module dnspython}
BuildRequires:  %{python_module xml}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-dnspython
BuildArch:      noarch

%description
SleekXMPP is an MIT licensed XMPP library for Python. The goals of
the project are ease of implementation, and complete draft XEP
(XMPP Extended Protocol) coverage. Ideally the community will be
able to use this for bots, easy XEP protocoling, etc.

%python_subpackages

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}/

%files %{python_files}
%doc LICENSE README.rst
%{python_sitelib}/%{_name}/
%{python_sitelib}/%{_name}-%{version}-py%{python_version}.egg-info

%changelog
* Fri Nov  3 2017 sor.alexei@meowr.ru
- Update to version 1.3.3:
  * Remove two-digit-year variants from certificate validity date
    decoding (deb#864257, gh#fritzy/SleekXMPP#461).
- Remove sleekxmpp-better-tls.patch.
* Tue May  2 2017 sor.alexei@meowr.ru
- Update to version 1.3.2:
  * Fix an issue with carbons (CVE-2017-5589, bsc#1024690).
- Remove sleekxmpp-fix-carbons.patch.
- Update for the multipython build.
- Add sleekxmpp-fix-dnspython.patch: fix compatibility with recent
  dnspython.
- Add sleekxmpp-fix-legacyauth.patch by nyov: Fix an error in
  legacyauth support.
- Add sleekxmpp-better-tls.patch: Use ssl.get_protocol_name() to
  find out which TLS version is in use (commit 6ebcf6b).
* Sat Feb 11 2017 sor.alexei@meowr.ru
- Add sleekxmpp-fix-carbons.patch by mathieui: Fix an issue with
  carbons (slixmpp commit 22664ee) (CVE-2017-5589, bsc#1024690).
* Sat Dec 10 2016 sor.alexei@meowr.ru
- Add sleekxmpp-check-roster-push-origin.patch by mathieui: Check
  origin of roster pushes (slixmpp commits ffdb6ff, ffd9436,
  bsc#1014976).
  See Gajim's CVE-2015-8688 and
  https://gultsch.de/gajim_roster_push_and_message_interception.html
* Fri Jul 29 2016 sor.alexei@meowr.ru
- Update to version 1.3.1:
  * No changelog available.
- Drop openSUSE 12.3 support.
- Change description a bit.
- Spec cleanup.
* Tue Nov 19 2013 p.drouand@gmail.com
- Update to version 1.1.11
  + No changelog available
- Remove useless stuff
  + Too many changes, sorry
- Break compatibility with SLE11 and openSUSE < 12.3; python is not build
  with OpenSSL
* Thu Jan 27 2011 pascal.bleser@opensuse.org
- initial version (0.9+1.0_beta4)
